% All features and instances
%instancedir = {'..\Instances\Original_Instances'};
instancedir = {'..\Instances\Original_Instances','..\Instances\Genetic_Instances'};
fselection = [1:44];
outfname = '..\Metadata\metadata-GA.csv';

% Selected features
exp_file = '..\Instances\expoutput.txt';
min_file = '..\Instances\minoutput.txt';
com_file = '..\Instances\combooutput.txt';

[X, ifilenames, feature_names, features, names] = evaluateFeatures(instancedir);
X = X(:,fselection);
feature_names = feature_names(fselection);
features = features(:,fselection);
save('feature_workspace')

Y = evaluateTimes(features, ifilenames, exp_file, min_file, com_file);
save('featureandtimes_workspace')

feats = [ifilenames, X(2:end,:)];
featnames = [{'instances'}, X(1,:)];
for i = 2:size(featnames,2)
    featnames{1,i} = char(strcat("feature_",featnames{1,i}));
end

solves = Y(2:end,1:3);
solvnames = Y(1,1:3);
for i = 1:size(solvnames,2)
    solvnames{1,i} = char(strcat("algo_",solvnames{1,i}));
end

sources = names(:,2);
sourcename = {'source'};

TTTT = cell2table([feats,solves,sources],'VariableNames',[featnames,solvnames,sourcename]);
writetable(TTTT,outfname);

